Page MenuHomePhabricator

Email notification to old address when verified email address is changed or removed
Closed, ResolvedPublic

Description

If a verified email address is changed or removed, an email notification should be sent to the old address. The email is for informational purposes only, it should not contain any verification codes. The main purpose of this is a reasonable defense against account cracking.

Discussion on en.wp: [[Wikipedia:Village pump (proposals)/Account security#Notify of removal of verified email address]]


Version: unspecified
Severity: enhancement

Details

Reference
bz29856

Related Objects

StatusAssignedTask
ResolvedGalorefitz
OpenNone
OpenShivanshbindal9
ResolvedNone
OpenNone
ResolvedShivanshbindal9
ResolvedShivanshbindal9
OpenNone
OpenShivanshbindal9
OpenShivanshbindal9
ResolvedShivanshbindal9
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:27 PM
bzimport added a project: MediaWiki-Email.
bzimport set Reference to bz29856.
bzimport added a subscriber: Unknown Object (MLST).
MER-C created this task.Jul 13 2011, 3:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2016, 3:24 PM
Devirk claimed this task.Jan 14 2016, 5:53 PM
Devirk set Security to None.
Haritha28 removed a subscriber: Haritha28.
Devirk removed Devirk as the assignee of this task.Mar 10 2016, 6:09 AM
Devirk added a subscriber: Devirk.

Change 276563 had a related patch set uploaded (by Galorefitz):
User.php: Update 'setEmailWithConfirmation' for notification email

https://gerrit.wikimedia.org/r/276563

@01tonythomas and @Parent5446 could you please review the submitted patch?

Change 276563 merged by jenkins-bot:
User.php: Update 'setEmailWithConfirmation' for notification email

https://gerrit.wikimedia.org/r/276563

Parent5446 closed this task as Resolved.Apr 10 2016, 5:32 AM